Bug 141059 - Page Style -> Area -> bitmap -> stretched fill page within page margins (all others total page fill)
Summary: Page Style -> Area -> bitmap -> stretched fill page within page margins (all ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Image
  Show dependency treegraph
 
Reported: 2021-03-16 10:19 UTC by Telesto
Modified: 2021-07-23 12:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (168.23 KB, image/png)
2021-03-17 09:59 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-03-16 10:19:43 UTC
Description:
Page Style -> Area -> bitmap -> stretched fill page within page margins (all others total page fill)

Steps to Reproduce:
1. Open Writer
2. Page Style -> Area -> bitmap 
3. Pick a bitmap & set fill to stretched

Actual Results:
Fill within page margins

Expected Results:
Full page as every other case


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dc3b64dcbfb0a49c0be65bd8d73ed4e6d3828a21
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2021-03-17 09:59:56 UTC
Created attachment 170527 [details]
Screenshot

"Custom position/size" also starts on the margin. "Titled" fills the whole page.
Comment 2 Regina Henschel 2021-03-17 15:14:59 UTC
This should be fixed together with bug 134734.
Comment 3 Michael Stahl (allotropia) 2021-03-17 16:31:33 UTC
Tiled does fill the whole page but with the wrong offset, select "Top Left" as position and it starts inside the margins, not at the top left of the page
Comment 4 Commit Notification 2021-03-25 08:50:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/56d8007a197b095b09423c691a51515567648e80

tdf#134734 tdf#141059 tdf#122508 cui,sw,xmloff: BackgroundFullSize

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 stragu 2021-07-23 12:55:12 UTC
Tested and it is fixed in LO 7.3 with the commit mentioned above.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: cd2b5168e8ef1cb6e721bc5220421464ed723096
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-21_14:56:23
Calc: threaded